% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dist_spec.R
\name{convert_to_natural}
\alias{convert_to_natural}
\title{Internal function for converting parameters to natural parameters.}
\usage{
convert_to_natural(params, distribution)
}
\arguments{
\item{params}{A numerical named parameter vector}

\item{distribution}{Character; the distribution to use.}
}
\value{
A list with two elements, \code{params_mean} and \code{params_sd}, containing
mean and sd of natural parameters.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}
This is used for preprocessing before generating a \code{dist_spec} object
from a given set of parameters and distribution
}
\examples{
\dontrun{
convert_to_natural(
  params = list(mean = 2, sd = 1),
  distribution = "gamma"
)
}
}
\keyword{internal}
