% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dist_spec.R
\name{fix_parameters}
\alias{fix_parameters}
\alias{fix_parameters.dist_spec}
\title{Fix the parameters of a \verb{<dist_spec>}}
\usage{
\method{fix_parameters}{dist_spec}(x, strategy = c("mean", "sample"), ...)
}
\arguments{
\item{x}{A \verb{<dist_spec>}}

\item{strategy}{Character; either "mean" (use the mean estimates of the
mean and standard deviation) or "sample" (randomly sample mean and
standard deviation from uncertainty given in the \verb{<dist_spec>}}

\item{...}{ignored}
}
\value{
A \verb{<dist_spec>} object without uncertainty
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#experimental}{\figure{lifecycle-experimental.svg}{options: alt='[Experimental]'}}}{\strong{[Experimental]}}
If the given \verb{<dist_spec>} has any uncertainty, it is removed and the
corresponding distribution converted into a fixed one.
}
\examples{
# An uncertain gamma distribution with shape and rate normally distributed
# as Normal(3, 0.5) and Normal(2, 0.5) respectively
dist <- Gamma(
  shape = Normal(3, 0.5),
  rate = Normal(2, 0.5),
  max = 20
)

fix_parameters(dist)
}
